gnutls_server_name_set(3)

NAME
gnutls_server_name_set - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_server_name_set(gnutls_session_t session, gnutls_server_name_type_t type, const void * name, size_t name_length);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_server_name_type_t type
    specifies the indicator type

const void * name
    is a string that contains the server name.

size_t name_length
    holds the length of name

DESCRIPTION
This function is to be used by clients that want to inform (via a TLS extension mechanism) the server of the name they connected to. This should be used by clients that connect to servers that do virtual hosting. The value of name depends on the type type. In case of GNUTLS_NAME_DNS, a UTF-8 null-terminated domain name string, without the trailing dot, is expected. IPv4 or IPv6 addresses are not permitted to be set by this function. If the function is called with a name of name_length zero it will clear all server names set.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/